<div>
    <h2>
        <span jhiTranslate="mpmApp.paymentHistory.home.title">Payment Histories</span>
        <button class="btn btn-primary float-right jh-create-entity create-payment-history" [routerLink]="['/', { outlets: { popup: ['payment-history-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.paymentHistory.home.createLabel">
            Create new Payment History
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.paymentHistory.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="paymentHistories">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idpayhist"><span jhiTranslate="mpmApp.paymentHistory.idpayhist">Idpayhist</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idpay"><span jhiTranslate="mpmApp.paymentHistory.idpay">Idpay</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="totalpay"><span jhiTranslate="mpmApp.paymentHistory.totalpay">Totalpay</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="createdby"><span jhiTranslate="mpmApp.paymentHistory.createdby">Createdby</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="dtcreated"><span jhiTranslate="mpmApp.paymentHistory.dtcreated">Dtcreated</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="description"><span jhiTranslate="mpmApp.paymentHistory.description">Description</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nogiro"><span jhiTranslate="mpmApp.paymentHistory.nogiro">Nogiro</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nopayfin"><span jhiTranslate="mpmApp.paymentHistory.nopayfin">Nopayfin</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="dtrelease"><span jhiTranslate="mpmApp.paymentHistory.dtrelease">Dtrelease</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="dtpay"><span jhiTranslate="mpmApp.paymentHistory.dtpay">Dtpay</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let paymentHistory of paymentHistories ;trackBy: trackId">
                <td><a [routerLink]="['../payment-history', paymentHistory.id ]">{{paymentHistory.id}}</a></td>
                <td>{{paymentHistory.idpayhist}}</td>
                <td>{{paymentHistory.idpay}}</td>
                <td>{{paymentHistory.totalpay}}</td>
                <td>{{paymentHistory.createdby}}</td>
                <td>{{paymentHistory.dtcreated | date:'medium'}}</td>
                <td>{{paymentHistory.description}}</td>
                <td>{{paymentHistory.nogiro}}</td>
                <td>{{paymentHistory.nopayfin}}</td>
                <td>{{paymentHistory.dtrelease | date:'medium'}}</td>
                <td>{{paymentHistory.dtpay | date:'medium'}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../payment-history', paymentHistory.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'payment-history/'+ paymentHistory.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'payment-history/'+ paymentHistory.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="paymentHistories && paymentHistories.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
